#!/usr/bin/python

"""
 --------------------------------------------------------------------------

 GGGears 0.1.3
 Automatic generation of gears geometry, FE-mesh and FE-models
 http://gggears.sourceforge.net/
 Copyright (C) 2009-2010 Konstantinos Poulios

 --------------------------------------------------------------------------

This file is part of GGGears.

GGGears is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

 --------------------------------------------------------------------------
"""

from distutils.core import setup, Extension

setup(name='gggears',
      version='0.1',
      author='Konstantinos Poulios',
      author_email='poulios.konstantinos at gmail dot com',
      description='Generate gears geometry, mesh and FE-models automatically',
      url='https://sourceforge.net/projects/gggears',
      license='GNU GPL-3',
      scripts=['bin/gggears'],
      packages=['gggears'],
      package_data={'gggears':['ui/*.ui', 'ui/*.png']},
      data_files=[('share/applications/', ['xdg/gggears.desktop']),
#                  ('share/man/man1', ['doc/gggears.1']),
#                  ('share/man/man1', ['doc/toothprofiler.1']),
                  ('share/pixmaps/', ['xdg/gggears.svg']),
                  ('share/pixmaps/', ['xdg/gggears.png']) ],
      ext_modules=[Extension('gggears/_tfm',
                             libraries = ['getfem'],
                             sources = ['tfm/tfm_python.cc',
                                        'tfm/tooth_flank_modification.cc' ]
                            )]
     )


